Package org.jfree.layouting.renderer.process

## Class IterateStructuralProcessStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateStructuralProcessStep

- Direct Known Subclasses:
    `CheckHibernationLayoutStep`, `ComputeTableICMMetricsStep`, `HtmlPrinter`, `ParagraphLineBreakStep`, `TableValidationStep`, `UpdateTokensStep`, `ValidateModelStep`

      public abstract class IterateStructuralProcessStep
      extends java.lang.Object

  Iterates over the document tree using the display-role of the current node as selector. Usually all structural processing steps use this iteration strategy.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `IterateStructuralProcessStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finishBlockBox​(BlockRenderBox box)` |
    `protected void` | `finishInlineBox​(InlineRenderBox box)` |
    `protected void` | `finishNormalFlow​(NormalFlowRenderBox box)` |
    `protected void` | `finishOtherBox​(RenderBox box)` |
    `protected void` | `finishOtherNode​(RenderNode node)` |
    `protected void` | `processBoxChilds​(RenderBox box)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected boolean` | `startBlockBox​(BlockRenderBox box)` |
    `protected boolean` | `startInlineBox​(InlineRenderBox box)` |
    `protected void` | `startNormalFlow​(NormalFlowRenderBox box)` |
    `protected boolean` | `startOtherBox​(RenderBox box)` |
    `protected void` | `startOtherNode​(RenderNode node)` |
    `protected void` | `startProcessing​(RenderNode node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IterateStructuralProcessStep

          protected IterateStructuralProcessStep​()

  - ### Method Detail

    - #### startProcessing

          protected void startProcessing​(RenderNode node)

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

    - #### finishNormalFlow

          protected void finishNormalFlow​(NormalFlowRenderBox box)

    - #### startNormalFlow

          protected void startNormalFlow​(NormalFlowRenderBox box)

    - #### processBoxChilds

          protected void processBoxChilds​(RenderBox box)

    - #### startOtherNode

          protected void startOtherNode​(RenderNode node)

    - #### finishOtherNode

          protected void finishOtherNode​(RenderNode node)

    - #### startBlockBox

          protected boolean startBlockBox​(BlockRenderBox box)

    - #### finishBlockBox

          protected void finishBlockBox​(BlockRenderBox box)

    - #### startInlineBox

          protected boolean startInlineBox​(InlineRenderBox box)

    - #### finishInlineBox

          protected void finishInlineBox​(InlineRenderBox box)

    - #### startOtherBox

          protected boolean startOtherBox​(RenderBox box)

    - #### finishOtherBox

          protected void finishOtherBox​(RenderBox box)